[arch-commits] CVS update of extra/network/evolution (3 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 14:19:38 EDT 2007


    Date: Sunday, April 22, 2007 @ 14:19:38
  Author: jgc
    Path: /home/cvs-extra/extra/network/evolution

   Added: bgo407104.patch (1.1)
Modified: PKGBUILD (1.56 -> 1.57) evolution.install (1.5 -> 1.6)

upgpkg: evolution 2.10.1-2
Move to /usr, add upstream proposed patch to fix the calendar not showing up when double-clicking from the clock applet


-------------------+
 PKGBUILD          |   48 +++++++++++++++++++++++++-----------------------
 bgo407104.patch   |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 evolution.install |   14 +++++++-------
 3 files changed, 79 insertions(+), 30 deletions(-)


Index: extra/network/evolution/PKGBUILD
diff -u extra/network/evolution/PKGBUILD:1.56 extra/network/evolution/PKGBUILD:1.57
--- extra/network/evolution/PKGBUILD:1.56	Mon Apr  9 13:02:37 2007
+++ extra/network/evolution/PKGBUILD	Sun Apr 22 14:19:37 2007
@@ -1,32 +1,37 @@
-# $Id: PKGBUILD,v 1.56 2007/04/09 17:02:37 jgc Exp $
+# $Id: PKGBUILD,v 1.57 2007/04/22 18:19:37 jgc Exp $
 # Maintainer: dale <dale at archlinux.org>
 
 pkgname=evolution
 pkgver=2.10.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Integrated Workgroup and Personal Information Management for Gnome"
 arch=(i686 x86_64)
-depends=('libnetworkmanager>=0.6.4' 'libnotify>=0.4.4' 'gtkhtml>=3.14.1' 'evolution-data-server>=1.10.1' 'libgnomeprintui>=2.18.0')
-makedepends=('perlxml' 'gnome-pilot>=2.0.15' 'pkgconfig' 'gnome-doc-utils')
+license=('GPL')
+depends=('libnetworkmanager>=0.6.4' 'libnotify>=0.4.4' 'gtkhtml>=3.14.1-2' 'evolution-data-server>=1.10.1-2' 'libgnomeprintui>=2.18.0' 'scrollkeeper')
+makedepends=('perlxml' 'gnome-pilot>=2.0.15-2' 'pkgconfig' 'gnome-doc-utils>=0.10.3')
 options=('nolibtool')
 install=evolution.install
-license=(GPL)
 url=(http://www.gnome.org/projects/evolution/)
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.10/${pkgname}-${pkgver}.tar.bz2
-	new-mail-notify-unresolved-symbols.patch)
-md5sums=('16051c6cbb617cb04665e402566e0976' '3d02da4cc6cbaf63381a23a08bdc52ba')
+	new-mail-notify-unresolved-symbols.patch
+	bgo407104.patch)
+md5sums=('16051c6cbb617cb04665e402566e0976' '3d02da4cc6cbaf63381a23a08bdc52ba'
+         '4f17e0923085ba40c597fe83a833f2a5')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
   cd ${startdir}/src/${pkgname}-${pkgver}
-  PKG_NAME="Evolution" REQUIRED_AUTOMAKE_VERSION=1.6 NOCONFIGURE=1 gnome-autogen.sh
 
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
   if [ -f omf.make ]; then
+    find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
   patch -Np1 -i ${startdir}/src/new-mail-notify-unresolved-symbols.patch || return 1
-  ./configure --prefix=${GNOMEDIR} \
+  patch -Np0 -i ${startdir}/src/bgo407104.patch || return 1
+
+  sed -i -e 's/@ENABLE_SK_TRUE at _s/_s/' help/Makefile.in
+  ./configure --prefix=/usr --sysconfdir=/etc \
+        --localstatedir=/var \
+	--libexecdir=/usr/lib/evolution \
   	--disable-scrollkeeper \
 	--enable-nss=yes \
 	--with-openldap=yes \
@@ -37,16 +42,13 @@
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
 
-  mkdir -p ${startdir}/pkg/opt/gnome/include/evolution-2.10/composer
-  install -m644 composer/e-msg*.h ${startdir}/pkg/opt/gnome/include/evolution-2.10/composer/
-  install -m644 composer/Editor.h ${startdir}/pkg/opt/gnome/include/evolution-2.10/composer/
-
-  ln -sf evolution-2.10 ${startdir}/pkg/opt/gnome/bin/evolution
-
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-
-  mkdir -p ${startdir}/pkg/usr/share
-  mv ${startdir}/pkg/opt/gnome/share/icons ${startdir}/pkg/usr/share/
+  mkdir -p ${startdir}/pkg/usr/include/evolution-2.10/composer
+  install -m644 composer/e-msg*.h ${startdir}/pkg/usr/include/evolution-2.10/composer/
+  install -m644 composer/Editor.h ${startdir}/pkg/usr/include/evolution-2.10/composer/
+
+  ln -sf evolution-2.10 ${startdir}/pkg/usr/bin/evolution
+
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/network/evolution/bgo407104.patch
diff -u /dev/null extra/network/evolution/bgo407104.patch:1.1
--- /dev/null	Sun Apr 22 14:19:38 2007
+++ extra/network/evolution/bgo407104.patch	Sun Apr 22 14:19:37 2007
@@ -0,0 +1,47 @@
+Index: shell/e-shell.c
+===================================================================
+--- shell/e-shell.c	(revision 33440)
++++ shell/e-shell.c	(working copy)
+@@ -257,8 +257,8 @@ impl_Shell_handleURI (PortableServer_Ser
+ {
+ 	EShell *shell = E_SHELL (bonobo_object_from_servant (servant));
+ 	EComponentInfo *component_info;
++	GtkWidget *shell_window;
+ 	char *schema, *p;
+-	int show = FALSE;
+ 
+ 	schema = g_alloca(strlen(uri)+1);
+ 	strcpy(schema, uri);
+@@ -267,26 +267,20 @@ impl_Shell_handleURI (PortableServer_Ser
+ 		*p = 0;
+ 
+  	component_info = e_component_registry_peek_info(shell->priv->component_registry, ECR_FIELD_SCHEMA, schema);
+-	if (component_info == NULL) {
+-		show = TRUE;
++	if (component_info == NULL)
+ 		component_info = e_component_registry_peek_info(shell->priv->component_registry, ECR_FIELD_ALIAS, schema);
+-	}
+ 
+ 	if (component_info == NULL) {
+ 		CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_UnsupportedSchema, NULL);
+ 		return;
+ 	}
+ 
+-	if (show) {
+-		GtkWidget *shell_window;
+-		
+-		shell_window = (GtkWidget *)e_shell_create_window (shell, component_info->id, NULL);
+-		if (shell_window == NULL) {
+-			CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_ComponentNotFound, NULL);
+-			return;
+-		}
++	shell_window = (GtkWidget *)e_shell_create_window (shell, component_info->id, NULL);
++	if (shell_window == NULL) {
++		CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_ComponentNotFound, NULL);
++		return;
+ 	}
+-	
++
+ 	GNOME_Evolution_Component_handleURI (component_info->iface, uri, ev);
+ 	/* not an error not to implement it */
+ 	if (ev->_id != NULL && strcmp(ev->_id, ex_CORBA_NO_IMPLEMENT) == 0)
Index: extra/network/evolution/evolution.install
diff -u extra/network/evolution/evolution.install:1.5 extra/network/evolution/evolution.install:1.6
--- extra/network/evolution/evolution.install:1.5	Mon Mar 19 19:37:55 2007
+++ extra/network/evolution/evolution.install	Sun Apr 22 14:19:37 2007
@@ -1,10 +1,9 @@
 pkgname=evolution
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
   scrollkeeper-update -q -p var/lib/scrollkeeper
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -17,18 +16,19 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
   
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {
-  update-desktop-database -q
   scrollkeeper-update -q -p var/lib/scrollkeeper
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }




More information about the arch-commits mailing list